classification
Title: Raise overflow errors iso. deprecation warnings in socket.htons and socket.ntohs (was deprecated in 3.7)
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: erlendaasland, pablogsal, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-11-17 20:56 by erlendaasland, last changed 2020-12-31 13:49 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
error_iso_warning.patch erlendaasland, 2020-11-17 20:56
Pull Requests
URL Status Linked Edit
PR 23980 merged erlendaasland, 2020-12-28 22:59
Messages (2)
msg381284 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-11-17 20:56
Silent truncation was deprecated in Python 3.7 in bpo-28332 with commit 6a7d3480fc8fe4c60538547d2935083ccff0f631 by Serhiy Storchaka. It should be ok to turn these into OverflowError's starting with Python 3.10.
msg384117 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-12-31 13:16
New changeset f4936ad1c4d0ae1948e428aeddc7d3096252dae4 by Erlend Egeberg Aasland in branch 'master':
bpo-42393: Raise OverflowError iso. DeprecationWarning on overflow in socket.ntohs and socket.htons (GH-23980)
https://github.com/python/cpython/commit/f4936ad1c4d0ae1948e428aeddc7d3096252dae4
History
Date User Action Args
2020-12-31 13:49:15serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-12-31 13:16:56serhiy.storchakasetmessages: + msg384117
2020-12-28 22:59:06erlendaaslandsetstage: patch review
pull_requests: + pull_request22825
2020-11-17 20:56:16erlendaaslandsettype: behavior
2020-11-17 20:56:09erlendaaslandcreate